package com.redxun.knowledge.album.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 文件名: AlbumApprovalNode
 * 作者: Zizg
 * 时间: 2023/2/2
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Data
public class AlbumApprovalNodeDto implements Serializable {

    @ApiModelProperty("审批流程类型 1-专辑审核  2-点评审核")
    private Integer type;

    @ApiModelProperty("节点名称")
    private String name;

    @ApiModelProperty("审批人Id")
    private String approverId;

    @ApiModelProperty("审批人姓名")
    private String approverName;

    @ApiModelProperty("是否为终审节点")
    private Integer isFinal;

    @ApiModelProperty("维护人Id")
    private String maintainer;

    @ApiModelProperty("创建人")
    private String createBy;
}
