package com.redxun.knowledge.analysis.entity.enums;


/**
 * 文件名: SystemDetailVisitsEnum
 * 作者: zizg
 * 时间: 2023/3/23
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
public enum SystemDetailVisitsEnum {
    PZ_PERCENTAGE("平展系统", "pzPercentage"),
    GZ_PERCENTAGE("工作管理系统", "gzPercentage"),
    EIP_PERCENTAGE("EIP系统", "eipPercentage"),
    WP_PERCENTAGE("网盘系统", "wpPercentage"),
    ZS_PERCENTAGE("知识管理系统", "zsPercentage"),
    DCC_PERCENTAGE("DCC管理系统", "dccPercentage");

    private String code;
    private String message;

    SystemDetailVisitsEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static String getMessage(String code) {
        SystemDetailVisitsEnum[] systemDetailVisitsEnums = values();
        for (SystemDetailVisitsEnum systemDetailVisitsEnum : systemDetailVisitsEnums) {
            if (systemDetailVisitsEnum.code.equals(code)) {
                return systemDetailVisitsEnum.message;
            }
        }
        return null;
    }
}
