package com.redxun.knowledge.analysis.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 文件名: KnowledgeCompanyVo
 * 作者: zizg
 * 时间: 2023/3/21
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("组织创建知识数量Vo")
@Data
public class KnowledgeCompanyVo implements Serializable {

    @ApiModelProperty("公司名称")
    private String organization;

    @ApiModelProperty("知识创建总量")
    private Integer total;

    @ApiModelProperty("维基知识创建量")
    private Integer wiki;

    @ApiModelProperty("文档知识创建量")
    private Integer archive;

    private String pkId;
}
