package com.redxun.knowledge.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 文件名: KnowledgeAgentVo
 * 作者: zizg
 * 时间: 2023/6/6
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Data
public class KnowledgeAgentVo implements Serializable {

    //主键
    private String pkId;
    //代理简述
    private String sketch;
    //代理人编号
    private String tagerNo;
    //代理人姓名
    private String tagerName;
    //状态 1 启用 2 禁用
    private Integer state;
    //状态 1 启用 2 禁用
    private String stateName;
    //代理开始时间
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date startTime;
    //代理结束时间
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date endTime;
    //描述
    private String describe;

}
