package com.redxun.knowledge.entity.vo;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;


public class OsUserType extends BaseExtEntity<String> {

    private String id;

    private String code;

    private String name;

    private String descp;

    private String groupId;

    private boolean grant = false;

    @JsonCreator
    public OsUserType() {
    }

    public String getPkId() {
        return this.id;
    }

    public void setPkId(String pkId) {
        this.id = pkId;
    }

    public String getId() {
        return this.id;
    }

    public String getCode() {
        return this.code;
    }

    public String getName() {
        return this.name;
    }

    public String getDescp() {
        return this.descp;
    }

    public String getGroupId() {
        return this.groupId;
    }

    public boolean isGrant() {
        return this.grant;
    }

    public OsUserType setId(final String id) {
        this.id = id;
        return this;
    }

    public OsUserType setCode(final String code) {
        this.code = code;
        return this;
    }

    public OsUserType setName(final String name) {
        this.name = name;
        return this;
    }

    public OsUserType setDescp(final String descp) {
        this.descp = descp;
        return this;
    }

    public OsUserType setGroupId(final String groupId) {
        this.groupId = groupId;
        return this;
    }

    public OsUserType setGrant(final boolean grant) {
        this.grant = grant;
        return this;
    }
}
