package com.redxun.knowledge.map.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 文件名: MapPcVo
 * 作者: Zizg
 * 时间: 2023/1/19
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Data
public class MapPcVo implements Serializable {
    //主键
    private String pkId;
    //知识显示标题 地图类型名称+地图名称
    private String title;
    //地图类型;对应知识地图类型字典（KNOWLEDGE_MAP）
    private Integer type;
    //地图名称
    private String name;
    //学习路径
    List<MapRouteVo> routes;
    //学习内容总数
    private Integer contentTotal;

}
