package com.redxun.knowledge.analysis.entity.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 文件名: SynthesizeCompanyVo
 * 作者: zizg
 * 时间: 2023/3/28
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("综合统计 组织访问量Vo")
@Data
public class SynthesizeCompanyVo implements Serializable {

    @ApiModelProperty("公司名称")
    private String organization;

    @ApiModelProperty("总访问量")
    private Integer total;

    @ApiModelProperty("知识仓库访问量")
    private Integer knowledge;

    @ApiModelProperty("知识地图访问量")
    private Integer map;

    @ApiModelProperty("知识专辑访问量")
    private Integer album;

    @ApiModelProperty("搜索服务访问量")
    private Integer search;

    @ApiModelProperty("人员或部门id")
    private String pkId;
}
