package com.redxun.knowledge.entity.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;

import java.util.List;

@TableName("os_properties_group")
public class OsPropertiesGroup extends BaseExtEntity<String> {

    private String id;

    private String dimId;

    private String enabled;

    private String name;

    private String dimName = "无";

    private List<OsPropertiesDef> osPropertiesDefList;

    @JsonCreator
    public OsPropertiesGroup() {
    }

    public String getPkId() {
        return this.id;
    }

    public void setPkId(String pkId) {
        this.id = pkId;
    }

    public OsPropertiesGroup setId(final String id) {
        this.id = id;
        return this;
    }

    public OsPropertiesGroup setDimId(final String dimId) {
        this.dimId = dimId;
        return this;
    }

    public OsPropertiesGroup setEnabled(final String enabled) {
        this.enabled = enabled;
        return this;
    }

    public OsPropertiesGroup setName(final String name) {
        this.name = name;
        return this;
    }

    public OsPropertiesGroup setDimName(final String dimName) {
        this.dimName = dimName;
        return this;
    }

    public OsPropertiesGroup setOsPropertiesDefList(final List<OsPropertiesDef> osPropertiesDefList) {
        this.osPropertiesDefList = osPropertiesDefList;
        return this;
    }

    public String getId() {
        return this.id;
    }

    public String getDimId() {
        return this.dimId;
    }

    public String getEnabled() {
        return this.enabled;
    }

    public String getName() {
        return this.name;
    }

    public String getDimName() {
        return this.dimName;
    }

    public List<OsPropertiesDef> getOsPropertiesDefList() {
        return this.osPropertiesDefList;
    }
}
