package com.redxun.knowledge.entity.vo;

import com.alibaba.fastjson.JSONArray;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.redxun.common.base.entity.BaseExtEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;
import java.util.Objects;

public class OsUser extends BaseExtEntity<String> {
    public static final String FORM_INTERFACE = "INTERFACE";
    public static final String ADMIN_ACCOUNT = "admin";
    public static final String FROM_SYS = "system";
    public static final String STATUS_IN_JOB = "1";
    public static final String STATUS_OUT_JOB = "0";
    public static final String MALE = "male";
    public static final String FMALE = "fmale";
    public static final String WEIXIN = "weixin";
    public static final String DD = "dd";
    public static final String ADMIN = "1";
    private static final long serialVersionUID = -5886012896705137070L;

    private String userId;

    private String fullName;

    private String userNo;

    private String pwd;
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date entryTime;
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date quitTime;

    private String userType;

    private String from;
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date birthday;

    private String sex;

    private String mobile;

    private String email;

    private String address;

    private String urgent;

    private Integer syncWx;

    private String urgentMobile;

    private String qq;

    private String photo;

    private String status;

    private String enable;

    private String wxOpenId;

    private String ddId;

    private String curTenantId;

    private String userGroupName;

    private String userGroupId;

    private List<OsUserType> roles;

    private String roleId;

    private String oldPassword;

    private String newPassword;

    private String relTypeId;

    private String relInstId;

    private String mainDepId;

    private String deptName;

    private String canGroupIds;

    private String userTypeName;

    private int admin = 0;

    private JSONArray relations;

    private List<OsPropertiesGroup> propertiesGroups;

    private Boolean isAddAdmin = false;

    private String isLock;

    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date pwdUpdateTime;

    private String isFirstLogin;

    private int sn;

    private String positionGrade;

    private String sequenceCode;

    private String slyGrade;

    private String sequenceName;

    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date zzDate;

    private String duty;

    private String empType;

    private String pId;

    public OsUser() {
    }

    public String getPkId() {
        return this.userId;
    }

    public void setPkId(String pkId) {
        this.userId = pkId;
    }

    public boolean equals(Object o) {
        if (this == o) {
            return true;
        } else if (o != null && this.getClass() == o.getClass()) {
            if (!super.equals(o)) {
                return false;
            } else {
                OsUser osUser = (OsUser)o;
                return this.admin == osUser.admin && Objects.equals(this.userId, osUser.userId) && Objects.equals(this.fullName, osUser.fullName) && Objects.equals(this.userNo, osUser.userNo) && Objects.equals(this.pwd, osUser.pwd) && Objects.equals(this.entryTime, osUser.entryTime) && Objects.equals(this.quitTime, osUser.quitTime) && Objects.equals(this.userType, osUser.userType) && Objects.equals(this.from, osUser.from) && Objects.equals(this.birthday, osUser.birthday) && Objects.equals(this.sex, osUser.sex) && Objects.equals(this.mobile, osUser.mobile) && Objects.equals(this.email, osUser.email) && Objects.equals(this.address, osUser.address) && Objects.equals(this.urgent, osUser.urgent) && Objects.equals(this.syncWx, osUser.syncWx) && Objects.equals(this.urgentMobile, osUser.urgentMobile) && Objects.equals(this.qq, osUser.qq) && Objects.equals(this.photo, osUser.photo) && Objects.equals(this.status, osUser.status) && Objects.equals(this.enable, osUser.enable) && Objects.equals(this.wxOpenId, osUser.wxOpenId) && Objects.equals(this.ddId, osUser.ddId) && Objects.equals(this.roles, osUser.roles) && Objects.equals(this.roleId, osUser.roleId) && Objects.equals(this.oldPassword, osUser.oldPassword) && Objects.equals(this.newPassword, osUser.newPassword) && Objects.equals(this.relTypeId, osUser.relTypeId) && Objects.equals(this.relInstId, osUser.relInstId) && Objects.equals(this.mainDepId, osUser.mainDepId) && Objects.equals(this.canGroupIds, osUser.canGroupIds) && Objects.equals(this.userTypeName, osUser.userTypeName) && Objects.equals(this.relations, osUser.relations) && Objects.equals(this.propertiesGroups, osUser.propertiesGroups) && Objects.equals(this.positionGrade, osUser.positionGrade) && Objects.equals(this.sequenceCode, osUser.sequenceCode) && Objects.equals(this.slyGrade, osUser.slyGrade);
            }
        } else {
            return false;
        }
    }

    public int hashCode() {
        return Objects.hash(new Object[]{super.hashCode(), this.userId, this.fullName, this.userNo, this.pwd, this.entryTime, this.quitTime, this.userType, this.from, this.birthday, this.sex, this.mobile, this.email, this.address, this.urgent, this.syncWx, this.urgentMobile, this.qq, this.photo, this.status, this.enable, this.wxOpenId, this.ddId, this.roles, this.roleId, this.oldPassword, this.newPassword, this.relTypeId, this.relInstId, this.mainDepId, this.canGroupIds, this.userTypeName, this.admin, this.relations, this.propertiesGroups, this.positionGrade, this.sequenceCode, this.slyGrade});
    }

    public String getUserId() {
        return this.userId;
    }

    public String getFullName() {
        return this.fullName;
    }

    public String getUserNo() {
        return this.userNo;
    }

    public String getPwd() {
        return this.pwd;
    }

    public Date getEntryTime() {
        return this.entryTime;
    }

    public Date getQuitTime() {
        return this.quitTime;
    }

    public String getUserType() {
        return this.userType;
    }

    public String getFrom() {
        return this.from;
    }

    public Date getBirthday() {
        return this.birthday;
    }

    public String getSex() {
        return this.sex;
    }

    public String getMobile() {
        return this.mobile;
    }

    public String getEmail() {
        return this.email;
    }

    public String getAddress() {
        return this.address;
    }

    public String getUrgent() {
        return this.urgent;
    }

    public Integer getSyncWx() {
        return this.syncWx;
    }

    public String getUrgentMobile() {
        return this.urgentMobile;
    }

    public String getQq() {
        return this.qq;
    }

    public String getPhoto() {
        return this.photo;
    }

    public String getStatus() {
        return this.status;
    }

    public String getEnable() {
        return this.enable;
    }

    public String getWxOpenId() {
        return this.wxOpenId;
    }

    public String getDdId() {
        return this.ddId;
    }

    public String getCurTenantId() {
        return this.curTenantId;
    }

    public String getUserGroupName() {
        return this.userGroupName;
    }

    public String getUserGroupId() {
        return this.userGroupId;
    }

    public List<OsUserType> getRoles() {
        return this.roles;
    }

    public String getRoleId() {
        return this.roleId;
    }

    public String getOldPassword() {
        return this.oldPassword;
    }

    public String getNewPassword() {
        return this.newPassword;
    }

    public String getRelTypeId() {
        return this.relTypeId;
    }

    public String getRelInstId() {
        return this.relInstId;
    }

    public String getMainDepId() {
        return this.mainDepId;
    }

    public String getDeptName() {
        return this.deptName;
    }

    public String getCanGroupIds() {
        return this.canGroupIds;
    }

    public String getUserTypeName() {
        return this.userTypeName;
    }

    public int getAdmin() {
        return this.admin;
    }

    public JSONArray getRelations() {
        return this.relations;
    }

    public List<OsPropertiesGroup> getPropertiesGroups() {
        return this.propertiesGroups;
    }

    public Boolean getIsAddAdmin() {
        return this.isAddAdmin;
    }

    public String getIsLock() {
        return this.isLock;
    }

    public Date getPwdUpdateTime() {
        return this.pwdUpdateTime;
    }

    public String getIsFirstLogin() {
        return this.isFirstLogin;
    }

    public int getSn() {
        return this.sn;
    }

    public String getPositionGrade() {
        return this.positionGrade;
    }

    public String getSequenceCode() {
        return this.sequenceCode;
    }

    public String getSlyGrade() {
        return this.slyGrade;
    }

    public String getSequenceName() {
        return this.sequenceName;
    }

    public Date getZzDate() {
        return this.zzDate;
    }

    public String getDuty() {
        return this.duty;
    }

    public String getEmpType() {
        return this.empType;
    }

    public String getPId() {
        return this.pId;
    }

    public OsUser setUserId(final String userId) {
        this.userId = userId;
        return this;
    }

    public OsUser setFullName(final String fullName) {
        this.fullName = fullName;
        return this;
    }

    public OsUser setUserNo(final String userNo) {
        this.userNo = userNo;
        return this;
    }

    public OsUser setPwd(final String pwd) {
        this.pwd = pwd;
        return this;
    }

    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    public OsUser setEntryTime(final Date entryTime) {
        this.entryTime = entryTime;
        return this;
    }

    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    public OsUser setQuitTime(final Date quitTime) {
        this.quitTime = quitTime;
        return this;
    }

    public OsUser setUserType(final String userType) {
        this.userType = userType;
        return this;
    }

    public OsUser setFrom(final String from) {
        this.from = from;
        return this;
    }

    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    public OsUser setBirthday(final Date birthday) {
        this.birthday = birthday;
        return this;
    }

    public OsUser setSex(final String sex) {
        this.sex = sex;
        return this;
    }

    public OsUser setMobile(final String mobile) {
        this.mobile = mobile;
        return this;
    }

    public OsUser setEmail(final String email) {
        this.email = email;
        return this;
    }

    public OsUser setAddress(final String address) {
        this.address = address;
        return this;
    }

    public OsUser setUrgent(final String urgent) {
        this.urgent = urgent;
        return this;
    }

    public OsUser setSyncWx(final Integer syncWx) {
        this.syncWx = syncWx;
        return this;
    }

    public OsUser setUrgentMobile(final String urgentMobile) {
        this.urgentMobile = urgentMobile;
        return this;
    }

    public OsUser setQq(final String qq) {
        this.qq = qq;
        return this;
    }

    public OsUser setPhoto(final String photo) {
        this.photo = photo;
        return this;
    }

    public OsUser setStatus(final String status) {
        this.status = status;
        return this;
    }

    public OsUser setEnable(final String enable) {
        this.enable = enable;
        return this;
    }

    public OsUser setWxOpenId(final String wxOpenId) {
        this.wxOpenId = wxOpenId;
        return this;
    }

    public OsUser setDdId(final String ddId) {
        this.ddId = ddId;
        return this;
    }

    public OsUser setCurTenantId(final String curTenantId) {
        this.curTenantId = curTenantId;
        return this;
    }

    public OsUser setUserGroupName(final String userGroupName) {
        this.userGroupName = userGroupName;
        return this;
    }

    public OsUser setUserGroupId(final String userGroupId) {
        this.userGroupId = userGroupId;
        return this;
    }

    public OsUser setRoles(final List<OsUserType> roles) {
        this.roles = roles;
        return this;
    }

    public OsUser setRoleId(final String roleId) {
        this.roleId = roleId;
        return this;
    }

    public OsUser setOldPassword(final String oldPassword) {
        this.oldPassword = oldPassword;
        return this;
    }

    public OsUser setNewPassword(final String newPassword) {
        this.newPassword = newPassword;
        return this;
    }

    public OsUser setRelTypeId(final String relTypeId) {
        this.relTypeId = relTypeId;
        return this;
    }

    public OsUser setRelInstId(final String relInstId) {
        this.relInstId = relInstId;
        return this;
    }

    public OsUser setMainDepId(final String mainDepId) {
        this.mainDepId = mainDepId;
        return this;
    }

    public OsUser setDeptName(final String deptName) {
        this.deptName = deptName;
        return this;
    }

    public OsUser setCanGroupIds(final String canGroupIds) {
        this.canGroupIds = canGroupIds;
        return this;
    }

    public OsUser setUserTypeName(final String userTypeName) {
        this.userTypeName = userTypeName;
        return this;
    }

    public OsUser setAdmin(final int admin) {
        this.admin = admin;
        return this;
    }

    public OsUser setRelations(final JSONArray relations) {
        this.relations = relations;
        return this;
    }

    public OsUser setPropertiesGroups(final List<OsPropertiesGroup> propertiesGroups) {
        this.propertiesGroups = propertiesGroups;
        return this;
    }

    public OsUser setIsAddAdmin(final Boolean isAddAdmin) {
        this.isAddAdmin = isAddAdmin;
        return this;
    }

    public OsUser setIsLock(final String isLock) {
        this.isLock = isLock;
        return this;
    }

    public OsUser setPwdUpdateTime(final Date pwdUpdateTime) {
        this.pwdUpdateTime = pwdUpdateTime;
        return this;
    }

    public OsUser setIsFirstLogin(final String isFirstLogin) {
        this.isFirstLogin = isFirstLogin;
        return this;
    }

    public OsUser setSn(final int sn) {
        this.sn = sn;
        return this;
    }

    public OsUser setPositionGrade(final String positionGrade) {
        this.positionGrade = positionGrade;
        return this;
    }

    public OsUser setSequenceCode(final String sequenceCode) {
        this.sequenceCode = sequenceCode;
        return this;
    }

    public OsUser setSlyGrade(final String slyGrade) {
        this.slyGrade = slyGrade;
        return this;
    }

    public OsUser setSequenceName(final String sequenceName) {
        this.sequenceName = sequenceName;
        return this;
    }

    public OsUser setZzDate(final Date zzDate) {
        this.zzDate = zzDate;
        return this;
    }

    public OsUser setDuty(final String duty) {
        this.duty = duty;
        return this;
    }

    public OsUser setEmpType(final String empType) {
        this.empType = empType;
        return this;
    }

    public OsUser setPId(final String pId) {
        this.pId = pId;
        return this;
    }
}
